/holiday/import

Imports holidays

Imports holidays into the absence calendar for a given year, state and country. If state is null, it only imports state wide holidays

Base URL
https://<tenant>.dieagenturverwaltung.de/api/v2
Required Security
ApiKeyAuth (Authorization: Session Token)
Produces
application/json

Request

Body Parameters

NameTypeRequiredDescription
requestholiday.importRequestYesContains the full year e.g. 2022, the country e.g. 'de' and the state e.g. 'hh'<br>Optional: state

Parameter Models

Inspect object parameters and nested model references without loading the full Swagger file in the browser.

requestBody parameterholiday.importRequest
country
string
No description.
office_location_id
integer
No description.
state
string
No description.
year
integer
No description.
cURL
curl -X POST 'https://<tenant>.dieagenturverwaltung.de/api/v2/holiday/import' \
  -H 'Accept: application/json' \
  -H 'Authorization: Session Token' \
  -H 'Content-Type: application/json' \
  --data-raw '{
  "country": "string",
  "office_location_id": 123,
  "state": "string",
  "year": 123
}'
Request Body (application/json)
{
  "country": "string",
  "office_location_id": 123,
  "state": "string",
  "year": 123
}

Responses

200The skipped Holidays, because they were present
array<app.TimeHoliday>application/json
Example
[
  {
    "id": 123,
    "is_half_day": true,
    "name": "string",
    "office_location_id": 123,
    "timestamp": 123
  }
]
400Bad Request
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
500Internal Server Error
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}